Subject: bug#62002: 28.2; 28.2; intermittent crash on scroll (arch + spacemacs)

From: bertieb <[email-masked]>
Date: Tue, 12 Sep 2023 22:03:58 +0100

---- On Tue, 12 Sep 2023 01:51:50 +0100 Stefan Kangas  wrote ---
 > [email-masked] writes: 
 >  
 > > I have downloaded and compiled 1e5393a57a3bbe3f9167fee59232c2e424afadf2 with 
 > > debug symbols (I think, [1]) but have not yet been able to replicate the issue. 
 > > Since I also cannot reliably replicate on 28.2, this is unfortunate but not 
 > > surprising.  [snip]
 >  
 > Are you still seeing this?  I think we need someone who can to reproduce 
 > this under a debugger to fix it. 
 > 

I see it very infrequently, though I recently had an extended bout of uptime and so wasn't re-launching emacs. 

coredumpctl bears this out:

TIME                            PID  UID  GID SIG     COREFILE EXE                 SIZE
Sun 2023-05-07 10:32:03 BST 2167614 1000 1000 SIGSEGV missing  /usr/bin/emacs-28.2    -
Tue 2023-06-20 13:04:39 BST  369029 1000 1000 SIGSEGV missing  /usr/bin/emacs-28.2    -
Thu 2023-07-20 11:58:06 BST 3750394 1000 1000 SIGSEGV missing  /usr/bin/emacs-28.2    -
Fri 2023-08-11 12:35:44 BST  964942 1000 1000 SIGABRT missing  /usr/bin/emacs-29.1    -

Judging by the frequency I am about due another crash!